#include "cached_function_ast_attributes.h"

risc::sg::CachedFunctionAstAttributes::CachedFunctionAstAttributes(
    VertexDescriptor starting_vertex, FunctionIntegration function_integration):
  starting_vertex_(starting_vertex),
  function_integration_(function_integration)
{ }

bool
risc::sg::CachedFunctionAstAttributes::has_boundary()
{
  SegmentGraph::SegmentSet temp;
  temp.insert(starting_vertex_);
  return leaving_segments_ != temp;
}

bool
risc::sg::CachedFunctionAstAttributes::starting_segment_is_leaving_segment()
{
  if(leaving_segments_.find(starting_vertex_) != leaving_segments_.end()) {
    return true;
  } else {
    return false;
  }
}

//AstAttribute::OwnershipPolicy
//risc::sg::CachedFunctionAstAttributes::getOwnershipPolicy() const
//{
//  return AstAttribute::CONTAINER_OWNERSHIP;
//}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
