//////////////////////////////////////////////////////////////////////////////
//
// Purpose:
//
// This test case is designed to find all global functions in a SystemC design.
//
//////////////////////////////////////////////////////////////////////////////

#include <iostream>

#include "risc.h"

int main(int argc, char* argv[])
{
  std::cout << std::endl
            << "start processing file: " __FILE__
            << " ..."
            << std::endl;

  risc::Design d(argc,argv);

  d.print_all_global_functions();

  std::cout << "end processing file: " __FILE__
            << " ..."
            << std::endl
            << std::endl;

  return 0;
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
