#ifndef FIFO_H_INCLUDED_
#define FIFO_H_INCLUDED_
#include <systemc.h>
#include "interface.h"


class fifo : public sc_channel, public write_if, public read_if {
  public: 
    fifo(sc_module_name name) ;

    void write(char c) ;

    void read(char &c) ;

    void reset();

    int num_available();

  public:
    enum e { max = 2 };
    char data[max];
    int num_elements, first;
    sc_event write_event, read_event;
};

 #endif
 

