#include "top.h"
top::top(sc_module_name name) : 
  sc_module(name),
  fifo_inst1("Fifo1"),
  fifo_inst2("Fifo2"),
  prod_inst1("Producer1"),
  cons_inst1("Consumer1"),
  fifo_inst3("Fifo3"),
  fifo_inst4("Fifo4"),
  prod_inst2("Producer2"),
  cons_inst2("Consumer2")
{
  prod_inst1.out1(fifo_inst1); 
  prod_inst1.out2(fifo_inst2); 
  cons_inst1.in1(fifo_inst1);
  cons_inst1.in2(fifo_inst2);

  prod_inst2.out1(fifo_inst3); 
  prod_inst2.out2(fifo_inst4); 
  cons_inst2.in1(fifo_inst3);
  cons_inst2.in2(fifo_inst4);
}

