#include "systemc.h"

class DataConflictTable: public sc_module {
public:

  SC_HAS_PROCESS(DataConflictTable);

  int *ptr;
  int *ptr2;
  int *ptr3;
  int var;

  void data_conflict_table_1()
  {
    ptr;
  }

  void data_conflict_table_2()
  {
    ptr2 += 1;
  }

  void data_conflict_table_3()
  {
    bar(ptr3);
  }
  void bar(int *ptr)
  { }

  void data_conflict_table_4()
  {
    bar2(&var);
  }
  void bar2(int *ptr)
  { }


  int f(int &a, int &b)
  {
    return 42;
  }

  int g(int &a, int &b)
  {
    return 42;
  }

  int f(int *p)
  {
    return 42;
  }

  int g(int *p)
  {
    return 42;
  }


  // one
  int a, b, c;
  void data_conflict_table_5()
  {
    a = b + c;
  }
  void data_conflict_table_6()
  {
    a++;
  }

  // two
  int a1, b1, c1, d1;
  void data_conflict_table_7()
  {
    a1 = b1 + c1;
  }
  void data_conflict_table_8()
  {
    d1 = b1 * c1;
  }

  // three
  int a2, b2, c2, d2;
  void data_conflict_table_9()
  {
    a2 = f(b2, c2);
  }
  void data_conflict_table_10()
  {
    d2 = g(b2, c2);
  }

  // four
  int *p, *p2;
  int a3, b3, x;
  void data_conflict_table_11()
  {
    *p = a3 + b3;
  }
  void data_conflict_table_12()
  {
    x = *p2;
  }

  // five
  int *p3;
  int a4;
  void data_conflict_table_13()
  {
    p3 = &a4;
  }
  void data_conflict_table_14()
  {
    a4++;
  }

  // six
  int a5, b4;
  int *p4, *p5;
  void data_conflict_table_15()
  {
    a5 = *p4;
  }
  void data_conflict_table_16()
  {
    b4 = *p4 + *p5;
  }

  // seven
  int *p6, *p7;
  void data_conflict_table_17()
  {
    f(p6);
  }
  void data_conflict_table_18()
  {
    f(p7);
  }

  // eight
  int *a6;
  void data_conflict_table_19()
  {
    f(a6);
  }
  void data_conflict_table_20()
  {
    a6 = 0;
  }

  // nine
  int a7;
  void data_conflict_table_21()
  {
    f(&a7);
  }
  void data_conflict_table_22()
  {
    f(&a7);
  }

  // ten
  int x2, a8;
  int *p8;
  void data_conflict_table_23()
  {
    x2 = *p8;
  }
  void data_conflict_table_24()
  {
    a8 = 42;
  }

  // eleven
  int *p9;
  int *a9;
  void data_conflict_table_25()
  {
    *p9 = 42;
  }
  void data_conflict_table_26()
  {
    f(a9);
  }

  void data_conflict_table_27()
  {
    fflush(stdout);
  }

  DataConflictTable(sc_module_name mn): sc_module(mn)
  {
    SC_THREAD(data_conflict_table_1);
    SC_THREAD(data_conflict_table_2);

    SC_THREAD(data_conflict_table_3);
    SC_THREAD(data_conflict_table_4);

    // one
    SC_THREAD(data_conflict_table_5); // IN CONFLICT *****
    SC_THREAD(data_conflict_table_6);

    // two
    SC_THREAD(data_conflict_table_7); // conflict free
    SC_THREAD(data_conflict_table_8);

    // three
    SC_THREAD(data_conflict_table_9); // conflict free
    SC_THREAD(data_conflict_table_10);

    // four
    SC_THREAD(data_conflict_table_11); // IN CONFLICT WITH ALL *****  *p
    SC_THREAD(data_conflict_table_12);

    // five
    SC_THREAD(data_conflict_table_13); // conflict free
    SC_THREAD(data_conflict_table_14);

    // six
    SC_THREAD(data_conflict_table_15); // IN CONFLICT WITH ALL // NOT SURE *****   *p4 *p5
    SC_THREAD(data_conflict_table_16);

    // seven
    SC_THREAD(data_conflict_table_17); // conflict free
    SC_THREAD(data_conflict_table_18);

    // eight
    SC_THREAD(data_conflict_table_19); // IN CONFLICT *****
    SC_THREAD(data_conflict_table_20);

    // nine
    SC_THREAD(data_conflict_table_21); // conflict free
    SC_THREAD(data_conflict_table_22);

    // ten
    SC_THREAD(data_conflict_table_23); // IN CONFLICT WITH ALL // NOT SURE *****  *p8
    SC_THREAD(data_conflict_table_24);

    // eleven
    SC_THREAD(data_conflict_table_25); // IN CONFLICT WITH ALL *****  *p9
    SC_THREAD(data_conflict_table_26);

    SC_THREAD(data_conflict_table_27); // conflict free
  }
};


#ifndef RISC_ALL_SEGMENT_TESTS
int sc_main(int argc, char **argv)
{
  DataConflictTable mm("mm");

  sc_start();
  return 0;
}
#endif

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
